Índice del Foro www.mediocad.com www.mediocad.com
TODO SOBRE MICROSTATION. MDL, MVBA, MACROS.
 
 F.A.Q.F.A.Q.   BuscarBuscar   Lista de MiembrosLista de Miembros   Grupos de UsuariosGrupos de Usuarios   RegístreseRegístrese 
 PerfilPerfil   Conéctese para revisar sus mensajesConéctese para revisar sus mensajes   ConectarseConectarse 

Obtener los vertices de la ventana INformacion

 
Publicar Nuevo Tema   Responder al Tema    Índice del Foro www.mediocad.com -> MVBA
Ver tema anterior :: Ver siguiente tema  
Autor Mensaje
Orphen



Registrado: 21 Dic 2005
Mensajes: 38

MensajePublicado: Dom Jun 22, 2008 3:10 pm    Título del mensaje: Obtener los vertices de la ventana INformacion Responder citando

Hola Mediocad,

He estado investigando la manera de obtener la informacion que se me presenta en en analyze element, podrias decirme un codigo para poder sustraer los vertices de aca y cualquier dato...

Gracias por tu ayuda
Volver arriba
Ver perfil del usuario Enviar mensaje privado
mediocad
Gran Maestro
Gran Maestro


Registrado: 09 Jun 2005
Mensajes: 1509
Ubicación: Madrid

MensajePublicado: Lun Jun 23, 2008 10:23 am    Título del mensaje: Vértices Responder citando

Hola,

Para obtener los vértices puedes usar esto:

Código:
Dim ConjuntoElem    As ElementEnumerator
Dim oScanCriteria   As ElementScanCriteria
Dim oElement        As Element
Dim i,Vertices        As Integer

  Set oScanCriteria = New ElementScanCriteria 'criterios de selección  para el escaneo del DGN
  oScanCriteria.ExcludeNonGraphical

  Set ConjuntoElem = ActiveModelReference.Scan(oScanCriteria)
 
  ConjuntoElem.Reset
  Do While ConjuntoElem.MoveNext
    Set oElement = ConjuntoElem.Current
    ActiveModelReference.SelectElement oElement
    Vertices = oElement.VerticesCount
    For i = 0 To Vertices
      MsgBox oElement(i).Vertex(0).X
      MsgBox oElement(i).Vertex(0).Y
      MsgBox oElement(i).Vertex(0).Z
    Next i
  Loop

Esto te hace un escaneo de todo los elementos del fichero, los selecciona, cuenta el nº de vértices del elemento y los va recorriendo mostrando un mensaje para la X, Y y Z.

Como no todos los elementos tienen vértices tendrás que hacer un filtro para que no te casque. Usa IsVertexList.

Un saludo
Volver arriba
Ver perfil del usuario Enviar mensaje privado Enviar correo Visitar sitio web del autor
Orphen



Registrado: 21 Dic 2005
Mensajes: 38

MensajePublicado: Lun Jun 23, 2008 5:25 pm    Título del mensaje: Gracias Responder citando

Gracias por tu respuesta la voy a probar
Volver arriba
Ver perfil del usuario Enviar mensaje privado
Mostrar mensajes anteriores:   
Publicar Nuevo Tema   Responder al Tema    Índice del Foro www.mediocad.com -> MVBA Todas las horas están en GMT + 1 Hora
Página 1 de 1

 
Saltar a:  
No puede crear mensajes
No puede responder temas
No puede editar sus mensajes
No puede borrar sus mensajes
No puede votar en encuestas


Powered by phpBB © 2001, 2005 phpBB Group